/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.validator;

// Java Classes
import java.util.Iterator;
import java.util.Set;

// Library Classes

// Framework Classes
import gov.va.med.fw.util.builder.AbstractValidator;
import gov.va.med.fw.util.builder.Validator;
import gov.va.med.fw.util.builder.ValidatorException;

// Common Classes

/**
 * @author Martin Francisco
 */
public abstract class AbstractDQValidator
    extends AbstractValidator
{
    private static final long serialVersionUID = -1370346746640850300L;
    public AbstractDQValidator()
    {
        super();
    }

    protected final void validateSet(Validator validator, Set input)
        throws ValidatorException
    {
        for(Iterator i = input.iterator(); i.hasNext();)
        {
            validator.validate(i.next());
        }
    }
}